JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const credential = await client.credentials.packages.credentials.retrieve('26f1kl_-n-71', {
packageName: 'x',
});
console.log(credential.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
credential = client.credentials.packages.credentials.retrieve(
credential_name="26f1kl_-n-71",
package_name="x",
)
print(credential.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
credential, err := client.Credentials.Packages.Credentials.Get(
context.TODO(),
"26f1kl_-n-71",
mobileruncloud.CredentialPackageCredentialGetParams{
PackageName: "x",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", credential.Data)
}mobilerun-cloud credentials:packages:credentials retrieve \
--api-key 'My API Key' \
--package-name x \
--credential-name 26f1kl_-n-71curl --request GET \
--url https://api.mobilerun.ai/credentials/packages/{packageName}/credentials/{credentialName} \
--header 'Authorization: Bearer <token>'
{
"data": {
"ownerId": "<string>",
"createdBy": "<string>",
"userId": "<string>",
"packageName": "<string>",
"secretPath": "<string>",
"credentialName": "<string>",
"fields": [
{
"value": "<string>"
}
]
}
}{
"error": "<string>"
}App Credentials
Get a credential
Fetches a single credential by packageName and credentialName, including all of its stored fields. Returns not found if no matching credential exists.
GET
/
credentials
/
packages
/
{packageName}
/
credentials
/
{credentialName}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const credential = await client.credentials.packages.credentials.retrieve('26f1kl_-n-71', {
packageName: 'x',
});
console.log(credential.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
credential = client.credentials.packages.credentials.retrieve(
credential_name="26f1kl_-n-71",
package_name="x",
)
print(credential.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
credential, err := client.Credentials.Packages.Credentials.Get(
context.TODO(),
"26f1kl_-n-71",
mobileruncloud.CredentialPackageCredentialGetParams{
PackageName: "x",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", credential.Data)
}mobilerun-cloud credentials:packages:credentials retrieve \
--api-key 'My API Key' \
--package-name x \
--credential-name 26f1kl_-n-71Authorizations
Bearer token via Authorization header
Path Parameters
Required string length:
1 - 200Required string length:
3 - 50Pattern:
^[a-z0-9_-]+$Response
Credential fetched successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I